/// <reference types="react" />
import { ImageURL, IndexedAnnotation, MouseSelection, PageSelection, SearchResult, Selection, TokensURL } from "./types";
export declare const WHOLE_PAGE_ZOOM = "whole-page-zoom";
declare type EmptyPageProps = {
    containerWidth: number;
    containerHeight: number;
    originalPageWidth: number;
    originalPageHeight: number;
    zoom: string;
};
export declare const EmptyPage: (props: EmptyPageProps) => JSX.Element;
declare type PageProps = {
    annotations: IndexedAnnotation[];
    containerHeight: number;
    containerWidth: number;
    focusedAnnotationIndex: number;
    focusingAnnotation: boolean;
    imageURL: ImageURL;
    load: boolean;
    onAnnotationDelete?: (annotation: IndexedAnnotation) => void;
    onFocusedAnnotationIndexChange: (annotationIndex: number) => void;
    onFocusingAnnotationChange: (focusing: boolean) => void;
    onSelectionStart: (selection: Selection) => void;
    onSelectionEnd: (selection: Selection) => void;
    originalPageHeight: number;
    originalPageWidth: number;
    pageNumber: number;
    mouseSelection: MouseSelection;
    searchResults: SearchResult[];
    selection: PageSelection;
    tokensURL: TokensURL;
    zoom: string;
};
declare const Page: (props: PageProps) => JSX.Element;
export default Page;
