import React from "react";
import { Annotation, Topic, IndexedAnnotation, Page as PageType, SearchResult } from "./types";
declare type PagesProps = {
    annotations: IndexedAnnotation[];
    searchResults: SearchResult[];
    currentPage: number;
    topics: Topic[];
    focusedAnnotationIndex: number;
    focusingAnnotation: boolean;
    lazyLoadingWindow: number;
    loading?: boolean;
    onAnnotationCreate?: (annotation: Annotation) => void;
    onAnnotationDelete?: (annotation: IndexedAnnotation) => void;
    onFocusedAnnotationIndexChange: (annotationIndex: number) => void;
    onFocusingAnnotationChange: (focusing: boolean) => void;
    onPageChange: (pageNumber: number) => void;
    pages: PageType[];
    pagesWidth: number;
    pagesHeight: number;
    zoom: string;
};
export interface PagesHandle {
    scrollToPage(pageNumber: number): void;
    scrollToLocation(pageNumber: number, left: number, top: number): void;
    scrollToAnnotation(annotationIndex: number): void;
}
declare const _default: React.ForwardRefExoticComponent<PagesProps & React.RefAttributes<PagesHandle>>;
export default _default;
