import React from "react";
import { GenerateId } from "jss";
import { PagesHandle } from "./Pages";
import { Annotation, Topic, Page, SearchResult } from "./types";
export declare const DEFAULT_ZOOM = "75%";
declare module "@material-ui/core/Box" {
    interface BoxProps {
        ref?: React.MutableRefObject<HTMLElement> | React.Ref<unknown>;
    }
}
export declare type ViewerRef = React.RefObject<PagesHandle>;
export declare type SummaryProps = {
    zoom: string;
    onZoomChange: (newZoom: string) => void;
    viewerRef: ViewerRef;
};
declare type DocumentViewerProps = {
    id: string;
    annotations: Annotation[];
    topics?: Topic[];
    lazyLoadingWindow?: number;
    loading?: boolean;
    muiClassGenerator?: GenerateId;
    name: string;
    onAnnotationCreate?: (annotation: Annotation) => void;
    onAnnotationDelete?: (annotation: Annotation) => void;
    onClose: () => void;
    onNextDocument?: () => void;
    onPreviousDocument?: () => void;
    pages: Page[];
    searchResults?: SearchResult[];
    Summary?: React.ForwardRefExoticComponent<SummaryProps & any>;
    summaryProps?: any;
};
declare const _default: (props: DocumentViewerProps, ref: React.Ref<JSX.Element>) => JSX.Element;
export default _default;
