export declare type Annotation = {
    characterStart: number;
    characterEnd: number;
    pageStart: number;
    pageEnd: number;
    top: number;
    left: number;
    topic: string;
};
export declare type IndexedAnnotation = Annotation & {
    _index: number;
};
export declare type BoundingBox = {
    top: number;
    left: number;
    right: number;
    bottom: number;
};
export declare type Token = {
    line: number;
    boundingBox: BoundingBox;
    characterStart: number;
    characterEnd: number;
};
export declare type MousePosition = [number, number] | null;
export declare type ScrollPosition = [number, number];
export declare type MouseSelection = [[number, number], [number, number]] | null;
export declare type Selection = {
    index: number;
    page: number;
    token: Token;
} | null;
export declare type PageSelection = {
    indexStart: number;
    indexEnd: number;
} | null;
export declare type ImageURL = string | (() => Promise<string>);
export declare type TokensURL = string | (() => Promise<Token[]>);
export declare type Page = {
    originalHeight: number;
    originalWidth: number;
    imageURL: ImageURL;
    tokensURL: TokensURL;
};
export declare type Topic = string;
export declare type SearchResult = {
    characterStart: number;
    characterEnd: number;
    pageStart: number;
    pageEnd: number;
    top: number;
    left: number;
};
